Bug 123966 - x11/libxcb: message isn't shown sometimes
Summary: x11/libxcb: message isn't shown sometimes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-25 00:40 UTC by Anatoly Borodin
Modified: 2008-05-28 14:10 UTC (History)
0 users

See Also:


Attachments
file.txt (629 bytes, text/plain)
2008-05-25 00:40 UTC, Anatoly Borodin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anatoly Borodin 2008-05-25 00:40:01 UTC
When installing x11/libxcb pkg-message may not be shown if /usr/obj is used and /usr/obj/usr/ports/x11/libxcb dir exist.

Fix: The roots of the problem seem strange, but some simple workaround exist.

Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/x11/libxcb; rm -rf /usr/obj/*
make FORCE_PKG_REGISTER install

OK, package is installed. Then

make clean; make FORCE_PKG_REGISTER install
..
 install  -o root -g wheel -m 444 'xcb-xv.pc' '/usr/local/libdata/pkgconfig/xcb-xv.pc'
 install  -o root -g wheel -m 444 'xcb-xvmc.pc' '/usr/local/libdata/pkgconfig/xcb-xvmc.pc'
gmake[2]: Leaving directory `/usr/obj/usr/ports/x11/libxcb/work/libxcb-1.1'
gmake[1]: Leaving directory `/usr/obj/usr/ports/x11/libxcb/work/libxcb-1.1'

cat: pkg-message: No such file or directory
*** Error code 1

Stop in /usr/ports/x11/libxcb.
Comment 1 Edwin Groothuis freebsd_committer 2008-05-25 00:40:07 UTC
Maintainer of x11/libxcb,

Please note that PR ports/123966 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/123966

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-05-25 00:40:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Ashish Shukla 2008-05-25 10:17:30 UTC
=2D----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

>>>>> Edwin Groothuis writes:
    Edwin> Maintainer of x11/libxcb,

    Edwin> Please note that PR ports/123966 has just been submitted.

    Edwin> If it contains a patch for an upgrade, an enhancement or a bug f=
ix
    Edwin> you agree on, reply to this email stating that you approve the p=
atch
    Edwin> and a committer will take care of it.

Yes, I approve the patch.

Thanks to  Anatoly for the patch.
=2D --=20
Ashish Shukla =E0=A4=86=E0=A4=B6=E0=A5=80=E0=A4=B7 =E0=A4=B6=E0=A5=81=E0=A4=
=95=E0=A5=8D=E0=A4=B2                      http://wahjava.wordpress.com/
=C2=B7-- =C2=B7- =C2=B7=C2=B7=C2=B7=C2=B7 =C2=B7--- =C2=B7- =C2=B7=C2=B7=C2=
=B7- =C2=B7- =C2=B7--=C2=B7-=C2=B7 --=C2=B7 -- =C2=B7- =C2=B7=C2=B7 =C2=B7-=
=C2=B7=C2=B7 =C2=B7-=C2=B7-=C2=B7- -=C2=B7-=C2=B7 --- --
=2D----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.9 (GNU/Linux)

iEYEARECAAYFAkg5LqoACgkQHy+EEHYuXnS5vACgzPAwdMOJJ15Ui42IwlPd7Isz
+REAn1VWR6G4HYxHrcrI97dmzPushTV4
=3DZcFp
=2D----END PGP SIGNATURE-----
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2008-05-26 01:46:08 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Edwin Groothuis freebsd_committer 2008-05-28 13:30:48 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2008-05-28 13:30:51 UTC
edwin       2008-05-28 12:30:43 UTC

  FreeBSD ports repository

  Modified files:
    x11/libxcb           Makefile 
  Log:
  x11/libxcb: message isn't shown sometimes
  
          When installing x11/libxcb pkg-message may not be shown if
          /usr/obj is used and /usr/obj/usr/ports/x11/libxcb dir
          exist.
  
  PR:             ports/123966
  Submitted by:   Anatoly Borodin <anatoly.borodin@gmail.com>
  
  Revision  Changes    Path
  1.9       +1 -1      ports/x11/libxcb/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2008-05-28 14:07:44 UTC
edwin       2008-05-28 13:07:31 UTC

  FreeBSD ports repository

  Modified files:
    x11/libxcb           Makefile 
  Log:
  ${.CURDIR}/pkg-message -> ${PKGMESSAGE}
  Noticed by: flz@
  
  PR:             ports/123966
  Submitted by:   Anatoly Borodin <anatoly.borodin@gmail.com>
  
  Revision  Changes    Path
  1.10      +1 -1      ports/x11/libxcb/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"